List organization security findings
import requests
url = "https://platform.ankra.app/org/security/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/findings \
--header 'Authorization: Bearer <token>'{
"facets": {
"addons": [
{
"count": 123,
"value": "<string>"
}
],
"clusters": [
{
"count": 123,
"value": "<string>"
}
],
"severity": [
{
"count": 123,
"value": "<string>"
}
],
"status": [
{
"count": 123,
"value": "<string>"
}
],
"exploited": [
{
"count": 123,
"value": "<string>"
}
]
},
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List organization security findings
GET
/
org
/
security
/
findings
List organization security findings
import requests
url = "https://platform.ankra.app/org/security/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/findings \
--header 'Authorization: Bearer <token>'{
"facets": {
"addons": [
{
"count": 123,
"value": "<string>"
}
],
"clusters": [
{
"count": 123,
"value": "<string>"
}
],
"severity": [
{
"count": 123,
"value": "<string>"
}
],
"status": [
{
"count": 123,
"value": "<string>"
}
],
"exploited": [
{
"count": 123,
"value": "<string>"
}
]
},
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>",
"known_exploited": true,
"kev_date_added": "<string>",
"kev_due_date": "<string>",
"kev_ransomware_use": true,
"epss_score": 123,
"epss_percentile": 123,
"kev_vendor_project": "<string>",
"kev_product": "<string>",
"kev_vulnerability_name": "<string>",
"kev_required_action": "<string>"
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 10000Values above 100 are clamped to 100.
Required range:
x >= 1Available options:
asc, desc Keep only findings whose CVE is (true) or is not (false) listed in the CISA Known Exploited Vulnerabilities catalog.